button {
  $big-size-button: 54px;
  $big-size-icon: 20px;

  &.mat-button-big {
    height: $big-size-button;
    line-height: $big-size-button;

    &.mat-mdc-raised-button.mat-mdc-button-base {
      height: $big-size-button;
    }

    .mat-icon {
      font-size: $big-size-icon;
      width: $big-size-icon;
      height: $big-size-icon;
      line-height: $big-size-icon;
    }

    .mat-mdc-button-ripple {
      font-size: inherit;
      width: inherit;
      height: inherit;
      line-height: inherit;
    }

    .mat-mdc-button-touch-target {
      font-size: inherit;
      width: inherit;
      height: inherit;
      line-height: inherit;
    }
  }
}